## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate memmap2

Name:           rust-memmap2
Version:        0.9.4
Release:        %autorelease
Summary:        Cross-platform Rust API for memory-mapped file IO

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/memmap2
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Cross-platform Rust API for memory-mapped file IO.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stable_deref_trait-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stable_deref_trait-devel %{_description}

This package contains library source intended for building other packages which
use the "stable_deref_trait" feature of the "%{crate}" crate.

%files       -n %{name}+stable_deref_trait-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Jan 30 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-1
- Update to version 0.9.4; Fixes RHBZ#2260317

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.3-1
- Update to version 0.9.3; Fixes RHBZ#2254818

* Fri Dec 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-2
- Skip a test that fails on ppc64le

* Fri Dec 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-1
- Update to version 0.9.0; Fixes RHBZ#2240509

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.1-1
- Update to version 0.7.1; Fixes RHBZ#2196659

* Tue Feb 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.10-1
- Update to version 0.5.10; Fixes RHBZ#2172628

* Sun Feb 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.9-1
- Update to version 0.5.9; Fixes RHBZ#2170919

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 11 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.8-1
- Update to version 0.5.8; Fixes RHBZ#2141382

* Fri Sep 02 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.7-1
- Update to version 0.5.7; Fixes RHBZ#2118353

* Fri Aug 12 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.6-1
- Update to version 0.5.6; Fixes RHBZ#2117716

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-1
- Update to version 0.5.5; Fixes RHBZ#2093553

* Thu Apr 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.3-1
- Update to version 0.5.3; Fixes RHBZ#2005109

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Aug 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Update to version 0.3.1; Fixes RHBZ#1993703

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-2
- Skip a test that does not work on 32-bit architectures.

* Fri Jun 18 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-1
- Update to version 0.3.0.
- Fixes RHBZ#1909435

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Feb 29 13:45:08 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.0-1
- Initial package

## END: Generated by rpmautospec
